-- Drop ACTOR_TYPES Table

IF EXISTS ( SELECT * FROM sysobjects WHERE id = object_id(N'[events].[ACTOR_TYPES]') AND OBJECTPROPERTY(id, N'IsTable') = 1 )
BEGIN
    DROP TABLE [events].[ACTOR_TYPES]
END
GO

-- Create ACTOR_TYPES Table

CREATE TABLE
    [events].[ACTOR_TYPES](
        [ID] [int] IDENTITY(1,1) NOT NULL,
        [Code] VARCHAR(20) NOT NULL,
        [Description] VARCHAR(256) NOT NULL,
        [Created] DATETIME NOT NULL CONSTRAINT [DF_ACTOR_TYPES_Created] DEFAULT GETDATE(),
        [CreateUser] VARCHAR(36) NOT NULL CONSTRAINT [DF_ACTOR_TYPES_CreateUser] DEFAULT 'ROOT',
        [Updated] DATETIME NOT NULL CONSTRAINT [DF_ACTOR_TYPES_Updated] DEFAULT GETDATE(),
        [UpdateUser] VARCHAR(36) NOT NULL CONSTRAINT [DF_ACTOR_TYPES_UpdateUser] DEFAULT 'ROOT',
        CONSTRAINT PK_ACTOR_TYPES PRIMARY KEY (ID),
        CONSTRAINT UK_ACTOR_TYPES_Code UNIQUE (Code))
GO

SET IDENTITY_INSERT [events].ACTOR_TYPES ON
GO

INSERT INTO events.ACTOR_TYPES (ID, Code, Description) VALUES (1, 'INST', 'an EPBC institution');
INSERT INTO events.ACTOR_TYPES (ID, Code, Description) VALUES (2, 'USER', 'an EPBC user');
GO

SET IDENTITY_INSERT [events].ACTOR_TYPES OFF
GO
